=== modified file 'drizzled/filesort.cc'
--- drizzled/filesort.cc	2008-08-10 06:11:44 +0000
+++ drizzled/filesort.cc	2008-08-11 17:10:04 +0000
@@ -49,7 +49,7 @@
 		       IO_CACHE *outfile);
 static bool save_index(SORTPARAM *param,uchar **sort_keys, uint count, 
                        FILESORT_INFO *table_sort);
-static uint suffix_length(ulong string_length);
+static uint suffix_length(uint32_t string_length);
 static uint sortlength(THD *thd, SORT_FIELD *sortorder, uint s_length,
 		       bool *multi_byte_charset);
 static SORT_ADDON_FIELD *get_addon_fields(THD *thd, Field **ptabfield,
@@ -97,7 +97,7 @@
                  bool sort_positions, ha_rows *examined_rows)
 {
   int error;
-  ulong memavl, min_sort_memory;
+  uint32_t memavl, min_sort_memory;
   uint maxbuffer;
   BUFFPEK *buffpek;
   ha_rows records= HA_POS_ERROR;
@@ -206,8 +206,8 @@
   min_sort_memory= max((uint)MIN_SORT_MEMORY, param.sort_length*MERGEBUFF2);
   while (memavl >= min_sort_memory)
   {
-    ulong old_memavl;
-    ulong keys= memavl/(param.rec_length+sizeof(char*));
+    uint32_t old_memavl;
+    uint32_t keys= memavl/(param.rec_length+sizeof(char*));
     param.keys=(uint) min(records+1, keys);
     if ((table_sort.sort_keys=
 	 (uchar **) make_char_array((char **) table_sort.sort_keys,
@@ -314,7 +314,7 @@
                MYF(ME_ERROR+ME_WAITTANG));
   else
     statistic_add(thd->status_var.filesort_rows,
-		  (ulong) records, &LOCK_status);
+		  (uint32_t) records, &LOCK_status);
   *examined_rows= param.examined_rows;
   memcpy(&table->sort, &table_sort, sizeof(FILESORT_INFO));
   MYSQL_FILESORT_END();
@@ -377,7 +377,7 @@
 static uchar *read_buffpek_from_file(IO_CACHE *buffpek_pointers, uint count,
                                      uchar *buf)
 {
-  ulong length= sizeof(BUFFPEK)*count;
+  uint32_t length= sizeof(BUFFPEK)*count;
   uchar *tmp= buf;
   if (count > UINT_MAX/sizeof(BUFFPEK))
     return 0; /* sizeof(BUFFPEK)*count will overflow */
@@ -1116,7 +1116,7 @@
   int error;
   uint rec_length,res_length,offset;
   size_t sort_length;
-  ulong maxcount;
+  uint32_t maxcount;
   ha_rows max_rows,org_max_rows;
   my_off_t to_start_filepos;
   uchar *strpos;
@@ -1139,7 +1139,7 @@
   res_length= param->res_length;
   sort_length= param->sort_length;
   offset= rec_length-res_length;
-  maxcount= (ulong) (param->keys/((uint) (Tb-Fb) +1));
+  maxcount= (uint32_t) (param->keys/((uint) (Tb-Fb) +1));
   to_start_filepos= my_b_tell(to_file);
   strpos= (uchar*) sort_buffer;
   org_max_rows=max_rows= param->max_rows;
@@ -1326,7 +1326,7 @@
 } /* merge_index */
 
 
-static uint suffix_length(ulong string_length)
+static uint suffix_length(uint32_t string_length)
 {
   if (string_length < 256)
     return 1;

=== modified file 'drizzled/records.cc'
--- drizzled/records.cc	2008-08-06 18:46:02 +0000
+++ drizzled/records.cc	2008-08-11 17:10:04 +0000
@@ -513,11 +513,11 @@
 static int rr_from_cache(READ_RECORD *info)
 {
   register uint i;
-  ulong length;
+  uint32_t length;
   my_off_t rest_of_file;
   int16_t error;
   uchar *position,*ref_position,*record_pos;
-  ulong record;
+  uint32_t record;
 
   for (;;)
   {
@@ -541,7 +541,7 @@
     length=info->rec_cache_size;
     rest_of_file=info->io_cache->end_of_file - my_b_tell(info->io_cache);
     if ((my_off_t) length > rest_of_file)
-      length= (ulong) rest_of_file;
+      length= (uint32_t) rest_of_file;
     if (!length || my_b_read(info->io_cache,info->cache,length))
     {
       return -1;			/* End of file */

=== modified file 'drizzled/sql_db.cc'
--- drizzled/sql_db.cc	2008-08-09 05:45:28 +0000
+++ drizzled/sql_db.cc	2008-08-11 17:10:04 +0000
@@ -339,8 +339,8 @@
 
   if ((file=my_create(path, CREATE_MODE,O_RDWR | O_TRUNC,MYF(MY_WME))) >= 0)
   {
-    ulong length;
-    length= (ulong) (strxnmov(buf, sizeof(buf)-1, "default-character-set=",
+    uint32_t length;
+    length= (uint32_t) (strxnmov(buf, sizeof(buf)-1, "default-character-set=",
                               create->default_table_charset->csname,
                               "\ndefault-collation=",
                               create->default_table_charset->name,
@@ -872,7 +872,7 @@
   if (!silent && deleted>=0)
   {
     const char *query;
-    ulong query_length;
+    uint32_t query_length;
     if (!thd->query)
     {
       /* The client used the old obsolete mysql_drop_db() call */
@@ -903,7 +903,7 @@
     }
     thd->clear_error();
     thd->server_status|= SERVER_STATUS_DB_DROPPED;
-    my_ok(thd, (ulong) deleted);
+    my_ok(thd, (uint32_t) deleted);
     thd->server_status&= ~SERVER_STATUS_DB_DROPPED;
   }
   else if (mysql_bin_log.is_open())
@@ -969,7 +969,7 @@
                                  TABLE_LIST **dropped_tables)
 {
   long deleted=0;
-  ulong found_other_files=0;
+  uint32_t found_other_files=0;
   char filePath[FN_REFLEN];
   TABLE_LIST *tot_list=0, **tot_list_next;
 

